| Home | Libraries | People | FAQ | More

## Function template static_cast_

boost::xpressive::static_cast_ — `static_cast_` is a lazy funtion for statically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, typename A> unspecified static_cast_(A const & a);

## Description

Parameters:

`a` | The lazy value to statically cast.

Template Parameters:

`T` | The type to which to statically cast the parameter.

Returns: | A lazy object that, when evaluated, statically casts its argument to the desired type.